

# UpdateUserAccessLoggingSettings
<a name="API_UpdateUserAccessLoggingSettings"></a>

Updates the user access logging settings.

## Request Syntax
<a name="API_UpdateUserAccessLoggingSettings_RequestSyntax"></a>

```
PATCH /userAccessLoggingSettings/userAccessLoggingSettingsArn+ HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "kinesisStreamArn": "string"
}
```

## URI Request Parameters
<a name="API_UpdateUserAccessLoggingSettings_RequestParameters"></a>

The request uses the following URI parameters.

 ** [userAccessLoggingSettingsArn](#API_UpdateUserAccessLoggingSettings_RequestSyntax) **   <a name="workspacesweb-UpdateUserAccessLoggingSettings-request-uri-userAccessLoggingSettingsArn"></a>
The ARN of the user access logging settings.  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:[\w+=\/,.@-]+:[a-zA-Z0-9\-]+:[a-zA-Z0-9\-]*:[a-zA-Z0-9]{1,12}:[a-zA-Z]+(\/[a-fA-F0-9\-]{36})+`   
Required: Yes

## Request Body
<a name="API_UpdateUserAccessLoggingSettings_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_UpdateUserAccessLoggingSettings_RequestSyntax) **   <a name="workspacesweb-UpdateUserAccessLoggingSettings-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. Idempotency ensures that an API request completes only once. With an idempotent request, if the original request completes successfully, subsequent retries with the same client token return the result from the original successful request.   
If you do not specify a client token, one is automatically generated by the AWS SDK.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 512.  
Required: No

 ** [kinesisStreamArn](#API_UpdateUserAccessLoggingSettings_RequestSyntax) **   <a name="workspacesweb-UpdateUserAccessLoggingSettings-request-kinesisStreamArn"></a>
The ARN of the Kinesis stream.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:[\w+=/,.@-]+:kinesis:[a-zA-Z0-9\-]*:[a-zA-Z0-9]{1,12}:stream/.+`   
Required: No

## Response Syntax
<a name="API_UpdateUserAccessLoggingSettings_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "userAccessLoggingSettings": { 
      "associatedPortalArns": [ "string" ],
      "kinesisStreamArn": "string",
      "userAccessLoggingSettingsArn": "string"
   }
}
```

## Response Elements
<a name="API_UpdateUserAccessLoggingSettings_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [userAccessLoggingSettings](#API_UpdateUserAccessLoggingSettings_ResponseSyntax) **   <a name="workspacesweb-UpdateUserAccessLoggingSettings-response-userAccessLoggingSettings"></a>
The user access logging settings.  
Type: [UserAccessLoggingSettings](API_UserAccessLoggingSettings.md) object

## Errors
<a name="API_UpdateUserAccessLoggingSettings_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied.  
HTTP Status Code: 403

 ** InternalServerException **   
There is an internal server error.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The resource cannot be found.    
 ** resourceId **   
Hypothetical identifier of the resource affected.  
 ** resourceType **   
Hypothetical type of the resource affected.
HTTP Status Code: 404

 ** ThrottlingException **   
There is a throttling error.    
 ** quotaCode **   
The originating quota.  
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.  
 ** serviceCode **   
The originating service.
HTTP Status Code: 429

 ** ValidationException **   
There is a validation error.    
 ** fieldList **   
The field that caused the error.  
 ** reason **   
Reason the request failed validation
HTTP Status Code: 400

## See Also
<a name="API_UpdateUserAccessLoggingSettings_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/workspaces-web-2020-07-08/UpdateUserAccessLoggingSettings) 